# Web: JavaScript SDK

The JavaScript SDK is a Software Development Kit (SDK) that can be used in a browser environment. This document describes the procedure for integrating the Wepin widget into the WEB using the JavaScript SDK.

## Package List

* ​[sdk ](/en/widget-integration/web-javascript-sdk/widget.md): @wepin/sdk-js
  * It provides functionalities to use the Wepin Widget.
* ​[login ](/en/widget-integration/web-javascript-sdk/widget.md): @wepin/login-js
  * It provides the ability to log in to Wepin using OAuth authentication tokens such as social logins.
* ​[provider ](/en/widget-integration/web-javascript-sdk/provider.md): @wepin/provider-js, @wepin/wagmi-connector
  * It offers solutions that facilitate interaction with blockchains supported by Wepin, such as Ethereum, EVM-compatible chains, and Solana.

{% hint style="danger" %}
All Wepin packages are designed to work only in **Client Side Rendering (CSR)** environments. If you are using Wepin packages in a Server Side Rendering (SSR) environment, you need to configure them so that the packages are loaded only on the client side.

Refer to the following code for implementation:

```javascript
const initWepin = async () => {
    const { WepinSDK } = await import('@wepin/sdk-js');
    const wepinSDK = new WepinSDK({
        appKey: '',
        appId: '',
    });
    await wepinSDK.init({
        defaultLanguage: 'ko',
    });
}
```

{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/web-javascript-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
